/**************************************************************************
/* This class extends ItemColumnQuotientExpression: it returns null
/* instead of "n/a".
/*
/* Copyright (c) 2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import org.jfree.report.function.*;

/**
   This class extends ItemColumnQuotientExpression: it returns null
/* instead of "n/a".

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class PerCentExpression extends ItemColumnQuotientExpression {

  //////////////////////////////////////////////////////////////////////////////

  /** 
      Return the current function value.

      <P>The value is calculated as the quotient of two columns:
      the dividend column and the divisor column.</p>

      <p>Override to return null if dividend or divisor is null.</p>
  */

  public Object getValue() {
    if (getDataRow().get(getDividend()) == null ||
	getDataRow().get(getDivisor()) == null)
      return null;
    else
      return super.getValue();
  }
}
